view-certificate(1)

NAME
view-certificate - displays important details of an X.509 certificate in PEM or DER format

SYNOPSIS
view-certificate certificate_file [...]
view-certificate [-h | - -help]
view-certificate [-v | - -version]

DESCRIPTION
view-certificate displays important details of an X.509 certificate in PEM or DER format, including:

* Common Name (CN),

* Validity Range,

* Key Usage and Extended Usage,

* Basic Constraints,

* Subject Alternative Name (SAN),

* Subject Key Identifier (SKID) and Authority Key Identifier (AKID), as well as

* the contained certificate chain (from the certificate up to the root CA).

ARGUMENTS
The following options are available:

certificate_file ...
    Specifies one or more certificate files to be displayed. "-" is a shortcut for /dev/stdin, i.e. reading the certificate from standard input.

-h | - -help
    Prints the program's command-line parameters and exits.

-v | - -version
    Prints the program version and exits.

EXIT STATUS
The view-certificate tool exits with 0 on success, and >0 in case of an error.

EXAMPLES

view-certificate My-CA-Certificate.crt My-Server-Certificate.crt

view-certificate /usr/share/ca-certificates/mozilla/ISRG_Root_X1.crt

cat /usr/share/ca-certificates/mozilla/ISRG_Root_X1.crt | view-certificate -

view-certificate www-nntb-no-chain.pem

view-certificate --help

view-certificate -h

view-certificate --version

view-certificate -v

SEE ALSO
check-certificate(1), der2pem(1), extract-pem(1), pem2der(1), test-tls-connection(1), view-crl(1), openssl(1)

NOTES
This program is part of System-Tools. The latest version of System-Tools can be found on the System-Tools Homepage at System-Tools Homepage: https://www.nntb.no/~dreibh/system-tools/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh